#ifndef BMP_IMAGEIO_H
#define BMP_IMAGEIO_H

#include <image.h>

#include <vector>
#include <string>

namespace image {

	class IMAGE_API BMPImageIO {
	public:
		static std::vector<std::string> getExtensions();
		static Image *createImage(const std::string &filename);
		static bool   saveImage(const Image &img,const std::string &filename);
	};

} // image namespace 

#endif // BMP_IMAGEIO_H
